# Uses of Enum Class
jebl.util.MaybeBoolean

Packages that use MaybeBoolean
Package
Description
jebl.evolution.sequences
jebl.util

## Uses of MaybeBoolean in jebl.evolution.sequences

Methods in jebl.evolution.sequences that return MaybeBoolean
Modifier and Type
Method
Description
`MaybeBoolean`
GeneticCode.`isStartCodonString(String tripletString)`
Checks whether all possible disambiguations of a given nucleotide triplet string represents a start codon.
`MaybeBoolean`
GeneticCode.`isStopCodonString(String tripletString)`
Checks whether a given String represents a stop codon.

## Uses of MaybeBoolean in jebl.util

Subclasses with type arguments of type MaybeBoolean in jebl.util
Modifier and Type
Class
Description
`enum`
`MaybeBoolean`
A tri-state boolean value that can also be "Maybe" besides True and False.
Methods in jebl.util that return MaybeBoolean
Modifier and Type
Method
Description
`static MaybeBoolean`
MaybeBoolean.`consensus(boolean a, boolean b)`
`static MaybeBoolean`
MaybeBoolean.`valueOf(boolean b)`
Returns the enum constant of this class with the specified name.
`static MaybeBoolean`
MaybeBoolean.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MaybeBoolean[]`
MaybeBoolean.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jebl.util with parameters of type MaybeBoolean
Modifier and Type
Method
Description
`static Boolean`
MaybeBoolean.`booleanValue(MaybeBoolean b)`